typedef union {
    long	num;
    double	fnum;
    u_long	u_num;
    bytestr	hex;
    charstr	str;
    flag_t	flag;
    time_t	time;
    utime_t	utime;
    as_t	as;
    proto_t	proto;
    pmet_t	metric;
    pref_t	pref;
    if_addr	*ifap;
    if_addr_entry	*ifae;
    adv_entry	*adv;
    gw_entry	*gwp;
    void_t	vt;
    sockaddr_un	*sockaddr;
    trace_file	*trace_file;
    struct addr_list_ *alist;
#ifdef	PROTO_INET
    struct in_addr in_addr;
#endif	/* PROTO_INET */
    dest_mask	dm;
    struct {
	pmet_t metric;
	adv_entry *adv;
	flag_t ribmask;
    } metric_adv ;
    struct {
	proto_t proto;
	adv_entry **import_list;
	adv_entry **export_list;
	gw_entry **gw_list;
    } proto_lists;
    struct {
        flag_t flags;
        flag_t ribmask;
    } rts_opt;
    config_entry *config;
    config_list *conflist;
#ifndef	GATED_LEXER
#ifdef	PROTO_OSPF
    ospf_config_router *ospf_router;
    ospf_auth *ospf_auth;
#endif	/* PROTO_OSPF */
#ifdef PROTO_OSPF2
    nospf_auth_t *nospf_auth;
    cfg_router_t *router;
    cfg_area_t *cfg_area;
#endif /* PROTO_OSPF2 */
    as_path *aspath;
    asmatch_t *asp_match;
    asp_range asp_range;
    asp_stack asp_stack;
#endif	/* GATED_LEXER */
#ifdef IPSEC
    struct sockaddr_key *ipseckey;
#endif /* IPSEC */
} YYSTYPE;
#define	L_EOS	258
#define	L_ERROR	259
#define	L_NUMBER	260
#define	L_FLOAT	261
#define	L_STRING	262
#define	L_HNAME	263
#define	L_KEYWORD	264
#define	L_HEXSTRING	265
#define	L_OCTETSTRING	266
#define	T_DIRECT	267
#define	T_INTERFACE	268
#define	T_INTERFACES	269
#define	T_LCLADDR	270
#define	T_PROTO	271
#define	T_METRIC	272
#define	T_METRICIN	273
#define	T_METRICOUT	274
#define	T_INFINITY	275
#define	T_DOWN	276
#define	T_PARSE	277
#define	T_ADV	278
#define	T_DEFAULT	279
#define	T_DEFAULTS	280
#define	T_YYDEBUG	281
#define	T_YYSTATE	282
#define	T_YYQUIT	283
#define	T_DEBUG	284
#define	T_SYSLOG	285
#define	T_UPTO	286
#define	T_EMERG	287
#define	T_ALERT	288
#define	T_CRIT	289
#define	T_ERR	290
#define	T_WARNING	291
#define	T_NOTICE	292
#define	T_INFO	293
#define	T_ON	294
#define	T_OFF	295
#define	T_GATEWAY	296
#define	T_PREFERENCE	297
#define	T_PREFERENCE2	298
#define	T_DEFAULTMETRIC	299
#define	T_NONBROADCAST	300
#define	T_BROADCAST	301
#define	T_TYPE	302
#define	T_POINTOPOINT	303
#define	T_MULTICAST	304
#define	T_NOMULTICAST	305
#define	T_NETMASK	306
#define	T_DEFINE	307
#define	T_SUBNET	308
#define	T_REMOTE	309
#define	T_NOUNICAST	310
#define	T_UNICAST	311
#define	T_INTERNAL	312
#define	T_EXTERNAL	313
#define	T_IGNORE	314
#define	T_ALIAS	315
#define	T_ALIASNH	316
#define	T_PRIMARY	317
#define	T_LOWESTIP	318
#define	T_KEEPALL	319
#define	T_RIBS	320
#define	T_INHERIT_METRIC	321
#define	T_NOP	322
#define	T_NOP1	323
#define	T_NOP_DM	324
#define	T_NOP_ADV	325
#define	T_NOP_PROTO	326
#define	T_NOP_SOCKADDR	327
#define	T_PEERAS	328
#define	T_LOCALAS	329
#define	T_ASCOUNT	330
#define	T_NEIGHBOR	331
#define	T_GROUP	332
#define	T_NOGENDEFAULT	333
#define	T_VERSION	334
#define	T_ACQUIRE	335
#define	T_TTL	336
#define	T_MAXUP	337
#define	T_SOURCENET	338
#define	T_PKTSIZE	339
#define	T_P1	340
#define	T_P2	341
#define	T_DEFAULTIN	342
#define	T_DEFAULTOUT	343
#define	T_BGP	344
#define	T_BGP4MP	345
#define	T_TEST	346
#define	T_KEEP	347
#define	T_SENDBUF	348
#define	T_RECVBUF	349
#define	T_OPEN	350
#define	T_KEEPALIVE	351
#define	T_INDELAY	352
#define	T_OUTDELAY	353
#define	T_ROUTING	354
#define	T_ANALRETENTIVE	355
#define	T_KEEPALIVESALWAYS	356
#define	T_NOAGGRID	357
#define	T_NOAUTHCHECK	358
#define	T_SETPREF	359
#define	T_IGNOREFIRSTASHOP	360
#define	T_NOV4ASLOOP	361
#define	T_V3ASLOOPOKAY	362
#define	T_LOGUPDOWN	363
#define	T_EGP	364
#define	T_HOLDTIME	365
#define	T_ASPATH	366
#define	T_ORIGIN	367
#define	T_INCOMPLETE	368
#define	T_ANY	369
#define	T_LOOPS	370
#define	T_TAG	371
#define	T_KERNEL	372
#define	T_SYMBOLS	373
#define	T_REMNANTS	374
#define	T_IFLIST	375
#define	T_ROUTES	376
#define	T_NOCHANGE	377
#define	T_NOFLUSHATEXIT	378
#define	T_REMNANTHOLDTIME	379
#define	T_HIGHER	380
#define	T_LOWER	381
#define	T_FLASH	382
#define	T_INTERIOR	383
#define	T_BACKGROUND	384
#define	T_LIMIT	385
#define	T_TRUSTEDGATEWAYS	386
#define	T_SOURCEGATEWAYS	387
#define	T_RIP	388
#define	T_RIPOUT	389
#define	T_NORIPOUT	390
#define	T_RIPIN	391
#define	T_NORIPIN	392
#define	T_NOCHECKZERO	393
#define	T_MAXROUTES	394
#define	T_OLDOSPF	395
#define	T_OSPF_STATE	396
#define	T_CISCO	397
#define	T_OSPFAREA	398
#define	T_OSPF	399
#define	T_OSPF_ASE	400
#define	T_BACKBONE	401
#define	T_VIRTUALLINK	402
#define	T_STUB	403
#define	T_STUBHOSTS	404
#define	T_NETWORKS	405
#define	T_ROUTERS	406
#define	T_NEIGHBORID	407
#define	T_TRANSITAREA	408
#define	T_ELIGIBLE	409
#define	T_MONITORAUTH	410
#define	T_MONITORAUTHKEY	411
#define	T_DD	412
#define	T_ACK	413
#define	T_LSA_BLD	414
#define	T_LSA_RX	415
#define	T_LSA_TX	416
#define	T_EXPORTINTERVAL	417
#define	T_EXPORTLIMIT	418
#define	T_FIRST	419
#define	T_EVERY	420
#define	T_START_ACCEPT	421
#define	T_STOP_ACCEPT	422
#define	T_START_GENERATE	423
#define	T_STOP_GENERATE	424
#define	T_KEY	425
#define	T_ID	426
#define	T_POLLINTERVAL	427
#define	T_INFTRANSDELAY	428
#define	T_RXMITINTERVAL	429
#define	T_ROUTERPRIO	430
#define	T_DB	431
#define	T_AREA	432
#define	T_SPF	433
#define	T_HELLO	434
#define	T_HELLOINTERVAL	435
#define	T_ROUTERDEADINTERVAL	436
#define	T_PRIORITY	437
#define	T_ENABLE	438
#define	T_DISABLE	439
#define	T_QUERY	440
#define	T_QUERYINTERVAL	441
#define	T_MODE	442
#define	T_REPORT	443
#define	T_TUNNEL	444
#define	T_IPIP	445
#define	T_REGISTER	446
#define	T_PRUNE	447
#define	T_GRAFT	448
#define	T_SNMP	449
#define	T_SMUX	450
#define	T_SMUX_PASSWORD	451
#define	T_SMUX_DEBUG	452
#define	T_SERVER	453
#define	T_CLIENT	454
#define	T_ADDRESS	455
#define	T_MAXADVINTERVAL	456
#define	T_MINADVINTERVAL	457
#define	T_LIFETIME	458
#define	T_INELIGIBLE	459
#define	T_SOLICIT	460
#define	T_QUIET	461
#define	T_ADVERTISE	462
#define	T_ICMP	463
#define	T_ROUTERDISCOVERY	464
#define	T_REDIRECT	465
#define	T_REDIRECTS	466
#define	T_NOREDIRECTS	467
#define	T_AUTHTYPE	468
#define	T_AUTHKEY	469
#define	T_NONE	470
#define	T_SIMPLE	471
#define	T_AUTH	472
#define	T_MD5	473
#define	T_SECONDARY	474
#define	T_RC4	475
#define	T_CRYPTO	476
#define	T_PASSIVE	477
#define	T_SIMPLEX	478
#define	T_STRICTIFS	479
#define	T_SCANINTERVAL	480
#define	T_STATIC	481
#define	T_MARTIANS	482
#define	T_RETAIN	483
#define	T_EXPORT	484
#define	T_IMPORT	485
#define	T_EXACT	486
#define	T_REFINE	487
#define	T_BETWEEN	488
#define	T_AND	489
#define	T_HOST	490
#define	T_MASK	491
#define	T_MASKLEN	492
#define	T_REJECT	493
#define	T_BLACKHOLE	494
#define	T_RESTRICT	495
#define	T_ALLOW	496
#define	T_ANNOUNCE	497
#define	T_LISTEN	498
#define	T_AS	499
#define	T_ROUTERID	500
#define	T_IGP	501
#define	T_OPTIONS	502
#define	T_NOINSTALL	503
#define	T_NOSEND	504
#define	T_NORESOLV	505
#define	T_MARK	506
#define	T_TRACEOPTIONS	507
#define	T_EXCEPT	508
#define	T_REPLACE	509
#define	T_SIZE	510
#define	T_FILES	511
#define	T_K	512
#define	T_M	513
#define	T_ALL	514
#define	T_ROUTE	515
#define	T_STATE	516
#define	T_POLICY	517
#define	T_NORMAL	518
#define	T_GENERAL	519
#define	T_TASK	520
#define	T_TIMER	521
#define	T_NOSTAMP	522
#define	T_UPDATE	523
#define	T_DETAIL	524
#define	T_SEND	525
#define	T_RECEIVE	526
#define	T_ERROR	527
#define	T_PACKETS	528
#define	T_RESPONSE	529
#define	T_REQUEST	530
#define	T_OTHER	531
#define	T_TRAP	532
#define	L_USEC	533
#define	T_AGGREGATE	534
#define	T_GENERATE	535
#define	T_BRIEF	536
#define	T_NOAGG	537
#define	T_INET	538
#define	T_GENDEFAULT	539
#define	T_PORT	540


extern YYSTYPE yylval;
